org.tmatesoft.svn.core.auth

## Interface ISVNProxyManager

- All Known Implementing Classes:
    BasicAuthenticationManager

      public interface ISVNProxyManager

  The ISVNProxyManager interface is used to manage http server options.

  A default implementation of the ISVNProxyManager interface (that comes along with a default implementation of ISVNAuthenticationManager - org.tmatesoft.svn.core.internal.wc.DefaultSVNAuthenticationManager) uses servers options from the standard servers file (it can be found in the Subversion runtime configuration area - read `more`).

  HTTP proxy options handled by ISVNProxyManager are similar to the native SVN options - read more on servers options in the Subversion online book.

  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `ISVNAuthenticationManager`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acknowledgeProxyContext(boolean accepted, SVNErrorMessage errorMessage)` Accepts this proxy settings if successfully connected to the proxy server, or not if failed to connect.
    `java.lang.String` | `getProxyHost()` Returns the proxy host for HTTP connection.
    `java.lang.String` | `getProxyPassword()` Returns the password to supply to the proxy machine.
    `int` | `getProxyPort()` Returns the port number on the proxy host to use.
    `java.lang.String` | `getProxyUserName()` Returns the username to supply to the proxy machine.

- - ### Method Detail

    - #### getProxyHost

          java.lang.String getProxyHost()

      Returns the proxy host for HTTP connection.
      Returns:
        the hostname of the proxy server through which HTTP-based requests must pass

    - #### getProxyPort

          int getProxyPort()

      Returns the port number on the proxy host to use.
      Returns:
        a port number

    - #### getProxyUserName

          java.lang.String getProxyUserName()

      Returns the username to supply to the proxy machine.
      Returns:
        a username

    - #### getProxyPassword

          java.lang.String getProxyPassword()

      Returns the password to supply to the proxy machine.
      Returns:
        a password

    - #### acknowledgeProxyContext

          void acknowledgeProxyContext(boolean accepted,
                                     SVNErrorMessage errorMessage)

      Accepts this proxy settings if successfully connected to the proxy server, or not if failed to connect.
      Parameters:
        `accepted` - true if the proxy is successfully reached, otherwise false
        `errorMessage` - the reason of the failure to connect to the proxy server

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.